//package sablon;

import java.io.IOException;
import java.lang.Math;
import java.io.PrintStream;

import mester.IO;

//Párosak-páratlanok szétválogatása
public class feladat {

    public feladat() {
    }

    static final int MaxN = 100;

    static class Input {
        int N;
        int[] X = new int[MaxN];
    }

    static class Output {
        int Db;
        int[] Y = new int[MaxN];
    }

    static Input beolvas(IO io) throws IOException {
        Input input = new Input();
        PrintStream cerr = System.err;
        cerr.print("N = ");
        input.N = io.nextInt();
        for (int i = 0; i < input.N; i++) {
            cerr.print((i + 1) + ". szám: ");
            input.X[i] = io.nextInt();
        }
        return input;
    }

    static void kiir(IO io, Input input, Output output) throws IOException {
        io.write(output.Db);
        for (int i = 1; i <= input.N; i++) {
            io.write(" " + output.Y[i - 1]);
        }
        io.writeLn("");
    }

    static Output Szetvalogatas(Input input) {
        Output output = new Output();
        output.Db = 0;
        for (int i = 1; i <= input.N; i++) {
            if (input.X[i - 1] % 2 == 0) {
                output.Db++;
                output.Y[output.Db - 1] = input.X[i - 1];
            } else {
                output.Y[input.N - i + output.Db] = input.X[i - 1];
            }
        }
        return output;
    }

    public static void main(String[] args) throws Exception {
        IO io = new IO();

        Input input = beolvas(io);

        Output output = Szetvalogatas(input);

        kiir(io, input, output);

        io.close();
    }

}